/////////////////////////////////////////////////////////////////////////////
// Name:        DonateDlg.h
// Purpose:     Donate dialog
// Author:      Alex Thuering
// Created:     20.04.2008
// RCS-ID:      $Id: DonateDlg.h,v 1.2 2009/07/22 06:37:35 ntalex Exp $
// Copyright:   (c) Alex Thuering
// Licence:     GPL
/////////////////////////////////////////////////////////////////////////////

#ifndef DONATEDLG_H
#define DONATEDLG_H

#include <wx/wx.h>
#include <wxVillaLib/PropDlg.h>

class DonateDlg: public wxPropDlg
{
  public:
	DonateDlg(wxWindow *parent);
	int ShowModal();
	
  protected:
    void CreateButtonPane(wxSizer* sizer, bool resetButton = false, bool dontShowCheckbox = false);
	void CreatePropPanel(wxSizer* sizer);
	bool SetValues();
};

#endif // DONATEDLG_H
